Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class Var

    java.lang.Object
      org.apache.commons.scxml.model.Action
          org.apache.commons.scxml.model.Var

All Implemented Interfaces:
  NamespacePrefixesHolder, Serializable

public class Var
extends Action

The class in this SCXML object model that corresponds to the <var> SCXML element.

See Also:
  Serialized Form

Constructor Summary
`Var()` Constructor.

Method Summary
`void` | `execute(EventDispatcher evtDispatcher, ErrorReporter errRep, SCInstance scInstance, org.apache.commons.logging.Log appLog, Collection derivedEvents)` Execute this action instance.
`String` | `getExpr()` Get the expression that evaluates to the initial value of the variable.
`String` | `getName()` Get the name of the (new) variable.
`void` | `setExpr(String expr)` Set the expression that evaluates to the initial value of the variable.
`void` | `setName(String name)` Set the name of the (new) variable.

Methods inherited from class org.apache.commons.scxml.model.Action
`getNamespaces, getNamespacesKey, getParent, getParentState, getParentTransitionTarget, setNamespaces, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Var

    public Var()

  Constructor.

Method Detail

### getExpr

    public final String getExpr()

  Get the expression that evaluates to the initial value of the variable.

  Returns:
    String Returns the expr.

### setExpr

    public final void setExpr(String expr)

  Set the expression that evaluates to the initial value of the variable.

  Parameters:
    `expr` - The expr to set.

### getName

    public final String getName()

  Get the name of the (new) variable.

  Returns:
    String Returns the name.

### setName

    public final void setName(String name)

  Set the name of the (new) variable.

  Parameters:
    `name` - The name to set.

### execute

    public void execute(EventDispatcher evtDispatcher,
                        ErrorReporter errRep,
                        SCInstance scInstance,
                        org.apache.commons.logging.Log appLog,
                        Collection derivedEvents)
                 throws ModelException,
                        SCXMLExpressionException

  Execute this action instance.

  Specified by:
    `execute` in class `Action`
  Parameters:
    `evtDispatcher` - The EventDispatcher for this execution instance
    `errRep` - The ErrorReporter to broadcast any errors during execution.
    `scInstance` - The state machine execution instance information.
    `appLog` - The application Log.
    `derivedEvents` - The collection to which any internal events arising from the execution of this action must be added.
  Throws:
    `SCXMLExpressionException` - If the execution involves trying to evaluate an expression which is malformed.
    `ModelException` - If the execution causes the model to enter a non-deterministic state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.